From: Christian Heller <c.heller@plomlompom.de>
Date: Mon, 10 Dec 2018 00:45:39 +0000 (+0100)
Subject: Add plomlombot setup.
X-Git-Url: https://plomlompom.com/repos/%7B%7Bprefix%7D%7D/static/%7B%7B%20web_path%20%7D%7D/foo.html?a=commitdiff_plain;h=907dc7da52a973f0b4c7fd6b89418a66c73050d3;p=config

Add plomlombot setup.
---

diff --git a/all_new_2018/linkable_etc_files/web/etc/nginx/nginx.conf b/all_new_2018/linkable_etc_files/web/etc/nginx/nginx.conf
index 5d95d2e..fa1f106 100644
--- a/all_new_2018/linkable_etc_files/web/etc/nginx/nginx.conf
+++ b/all_new_2018/linkable_etc_files/web/etc/nginx/nginx.conf
@@ -63,5 +63,9 @@ http {
             fastcgi_param GITWEB_CONFIG /etc/gitweb.conf;
             fastcgi_pass unix:/var/run/fcgiwrap.socket;
         }
+
+        location /irclogs/plomlompomtest/ {
+            autoindex on;
+        }
     }
 }
diff --git a/all_new_2018/linkable_etc_files/web/etc/systemd/system/plomlombot.service b/all_new_2018/linkable_etc_files/web/etc/systemd/system/plomlombot.service
new file mode 100644
index 0000000..1ee35e8
--- /dev/null
+++ b/all_new_2018/linkable_etc_files/web/etc/systemd/system/plomlombot.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=plomlombot screen
+
+[Service]
+Type=forking
+User=plom
+ExecStart=/bin/sh -c 'screen -d -m ~/start.sh plomlombob "#plomlompomtest"'
+
+[Install]
+WantedBy=multi-user.target
diff --git a/all_new_2018/setup_plomlombot.sh b/all_new_2018/setup_plomlombot.sh
new file mode 100755
index 0000000..9304394
--- /dev/null
+++ b/all_new_2018/setup_plomlombot.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+config_tree_prefix="${HOME}/config/all_new_2018//"
+cp "${config_tree_prefix}"/user_scripts/start_plomlombot.sh /home/plom/
+chown plom:plom /home/plom/start_plomlombot.sh
+apt -y install screen python3-venv
+systemctl enable /etc/systemd/system/plomlombot.service
+service start plomlombot
+mkdir -p /var/www/html/irclogs
+ln /home/plom/plomlombot_db/6f322d574618816aa2d6d1ceb4fd2551/789a38c5af11bb71833d89cd74387fcb/logs /var/www/html/irclogs/plomlompomtest
diff --git a/all_new_2018/user_scripts/start_plomlombot.sh b/all_new_2018/user_scripts/start_plomlombot.sh
new file mode 100755
index 0000000..8a368bc
--- /dev/null
+++ b/all_new_2018/user_scripts/start_plomlombot.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+cd ~/plomlombot-irc
+./run.sh -r 604800 -n "$1" "$2"